EncodingStateImpl (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Class EncodingStateImpl

    java.lang.Object
      org.codehaus.groovy.grails.support.encoding.EncodingStateImpl

All Implemented Interfaces:
  EncodingState

    public class EncodingStateImpl
    extends java.lang.Object

Default implementation of EncodingState

Authors:
  Lari Hotari

Since:
  2.3

Field Summary
`static EncodingState` | `UNDEFINED_ENCODING_STATE`

Constructor Summary
`EncodingStateImpl(java.util.Set encoders)` Default constructor
`EncodingStateImpl(Encoder encoder)`

Method Summary
`EncodingState` | `appendEncoder(Encoder encoder)`
`boolean` | `equals(java.lang.Object obj)`
`java.util.Set` | `getEncoders()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### UNDEFINED_ENCODING_STATE

    public static final EncodingState UNDEFINED_ENCODING_STATE

Constructor Detail

### EncodingStateImpl

    public EncodingStateImpl(java.util.Set encoders)

  Default constructor
  Parameters:
    `encoders` - the encoders

### EncodingStateImpl

    public EncodingStateImpl(Encoder encoder)

Method Detail

### appendEncoder

    public EncodingState appendEncoder(Encoder encoder)

### equals

    @java.lang.Override
    public boolean equals(java.lang.Object obj)

### getEncoders

    public java.util.Set getEncoders()

### hashCode

    @java.lang.Override
    public int hashCode()

### toString

    @java.lang.Override
    public java.lang.String toString()

Groovy Documentation